Package org.drinkless.tdlib

# Class TdApi.InputInlineQueryResultSticker

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputInlineQueryResult
org.drinkless.tdlib.TdApi.InputInlineQueryResultSticker

Enclosing class:
  `TdApi`

public static class TdApi.InputInlineQueryResultSticker extends TdApi.InputInlineQueryResult
Represents a link to a WEBP, TGS, or WEBM sticker.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputInlineQueryResult

  `TdApi.InputInlineQueryResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `id`
  Unique identifier of the query result.
  `TdApi.InputMessageContent`
  `inputMessageContent`
  The content of the message to be sent.
  `TdApi.ReplyMarkup`
  `replyMarkup`
  The message reply markup; pass null if none.
  `int`
  `stickerHeight`
  Height of the sticker.
  `String`
  `stickerUrl`
  The URL of the WEBP, TGS, or WEBM sticker (sticker file size must not exceed 5MB).
  `int`
  `stickerWidth`
  Width of the sticker.
  `String`
  `thumbnailUrl`
  URL of the sticker thumbnail, if it exists.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputInlineQueryResultSticker()`
  Represents a link to a WEBP, TGS, or WEBM sticker.
  `InputInlineQueryResultSticker(String id, String thumbnailUrl, String stickerUrl, int stickerWidth, int stickerHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
  Represents a link to a WEBP, TGS, or WEBM sticker.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the query result.

  - ### thumbnailUrl

    public String thumbnailUrl
    URL of the sticker thumbnail, if it exists.

  - ### stickerUrl

    public String stickerUrl
    The URL of the WEBP, TGS, or WEBM sticker (sticker file size must not exceed 5MB).

  - ### stickerWidth

    public int stickerWidth
    Width of the sticker.

  - ### stickerHeight

    public int stickerHeight
    Height of the sticker.

  - ### replyMarkup

    public TdApi.ReplyMarkup replyMarkup
    The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

  - ### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent
    The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageSticker, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputInlineQueryResultSticker

    public InputInlineQueryResultSticker()
    Represents a link to a WEBP, TGS, or WEBM sticker.

  - ### InputInlineQueryResultSticker

    public InputInlineQueryResultSticker(String id, String thumbnailUrl, String stickerUrl, int stickerWidth, int stickerHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
    Represents a link to a WEBP, TGS, or WEBM sticker.
    Parameters:
      `id` - Unique identifier of the query result.
      `thumbnailUrl` - URL of the sticker thumbnail, if it exists.
      `stickerUrl` - The URL of the WEBP, TGS, or WEBM sticker (sticker file size must not exceed 5MB).
      `stickerWidth` - Width of the sticker.
      `stickerHeight` - Height of the sticker.
      `replyMarkup` - The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.
      `inputMessageContent` - The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageSticker, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputInlineQueryResult`
    Returns:
      this.CONSTRUCTOR